Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1103710 - application list should filter Windows XP hotfixes and updates in localized Windows environments
Summary: application list should filter Windows XP hotfixes and updates in localized W...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: 1085760 1103707 1108672 1108677 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-02 12:07 UTC by Michal Skrivanek
Modified: 2018-12-09 17:57 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously the RHEV-M Guest Agent wasn't filtering Windows XP hotfixes on localized Windows environments. As a result the list of installed applications in the RHEV-M user interface was very long. This issue has now been resolved and Windows XP updates/hotfixes are filtered correctly.
Clone Of:
: 1108672 1108677 (view as bug list)
Environment:
Last Closed: 2015-02-17 08:27:00 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 28278 master MERGED Filter Windows HotFixes by ReleaseType value Never

Description Michal Skrivanek 2014-06-02 12:07:53 UTC
seems on localized Windows builds we do not filter out hotfixes and updates of the Windows XP. This results in excessively long list of apps (in turn creating issues due to bug 1103707)

we should have some filtering mechanism/blacklist for apps, similar to Linux.

Comment 6 Jiri Belka 2014-07-04 14:30:16 UTC
after 3.4.8:

	appsList = [u'3DHISTECH\u2019s SlideAC x86', 'Adobe Flash Player 12 ActiveX', 'Windows Internet Explorer 8', 'IHMC CmapTools v5.05.01', 'IPP 6.1 x86', 'Windows Genuine Advantage Validation Tool (KB892130)', 'K-Lite Codec Pack 3.8.5 Full', 'Microsoft .NET Framework 3.5 SP1', 'Microsoft .NET Framework 4 Client Profile', 'Paquete de idioma de Microsoft .NET Framework 4 Client Profile ESN', 'Microsoft .NET Framework 4 Extended', 'Paquete de idioma de Microsoft .NET Framework 4 Extended ESN', 'Microsoft Visual Studio 2010 Tools for Office Runtime (x86)', 'Mozilla Firefox 20.0.1 (x86 es-ES)', 'Mozilla Maintenance Service', 'Microsoft Compression Client Pack 1.0 for Windows XP', 'Microsoft Office Professional Plus 2007', 'Quantum GIS Lisboa 1.8.0 Lisboa', 'Microsoft Office SharePoint Designer 2007', 'VLC media player 1.1.11', 'Microsoft Kernel-Mode Driver Framework Feature Pack 1.9', 'Windows Media Format 11 runtime', 'Reproductor de Windows Media 11', 'GIMP 2.6.3', 'Windows Media Format 11 runtime', 'Windows Media Player 11', 'Microsoft User-Mode Driver Framework Feature Pack 1.0', 'PDFCreator', 'RHEV-Tools 3.4.8', 'IBM SPSS Statistics 19', 'Microsoft .NET Framework 4 Extended', 'Inflamat', 'RHEV-Spice64 3.4.1', 'Adobe Flash Player 11 Plugin', 'Vascular Rings', 'Java(TM) 6 Update 20', 'Java 7 Update 51', 'Cardiolab', 'RHEV-Agent 3.2.8', 'WebFldrs XP', 'RHEV-Block64 3.4.2', 'Pannoramic Viewer', 'Microsoft .NET Framework 4 Client Profile', 'Microsoft Visual Studio 2010 Tools for Office Runtime (x86)', 'Java Auto Updater', 'RHEV-SSO64 3.4.1', 'Microsoft Office 2007 Primary Interop Assemblies', 'Windows Server 2003 Administration Tools Pack', 'Microsoft Visual C++ 2005 Redistributable', 'RHEV-SSO 3.2.4', 'RHEV-USB 3.2.3', 'Microsoft Visual C++ 2005 Redistributable', 'RHEV-USB 3.4.1', 'OpenOffice.org 3.2', 'Microsoft Software Update for Web Folders  (Spanish) 12', 'Microsoft Office Professional Plus 2007', 'Security Update for Microsoft Office 2007 suites (KB2687499) 32-Bit Edition ', 'Security Update for Microsoft Office PowerPoint 2007 (KB2596912) 32-Bit Edition', 'Security Update for Microsoft Office 2007 suites (KB2596871) 32-Bit Edition', 'Security Update for Microsoft Office 2007 suites (KB2597969) 32-Bit Edition', 'Update for Microsoft Office Outlook 2007 Junk Email Filter (KB2768021) 32-Bit Edition', 'Security Update for Microsoft Office 2007 suites (KB2687439) 32-Bit Edition ', 'Security Update for Microsoft Office 2007 suites (KB2687311) 32-Bit Edition ', 'Security Update for Microsoft Office Excel 2007 (KB2687307) 32-Bit Edition ', 'Update for Microsoft Office 2007 suites (KB2596802) 32-Bit Edition', 'Security Update for Microsoft Office Publisher 2007 (KB2596705) 32-Bit Edition', 'Security Update for Microsoft Office 2007 suites (KB2596672) 32-Bit Edition ', 'Update for Microsoft Office 2007 suites (KB2596660) 32-Bit Edition', 'Microsoft Office 2007 Service Pack 3 (SP3)', 'Security Update for Microsoft Office Word 2007 (KB2760421) 32-Bit Edition ', 'Update for Microsoft Office 2007 suites (KB2596848) 32-Bit Edition', 'Security Update for Microsoft Office InfoPath 2007 (KB2687440) 32-Bit Edition ', 'Update for Microsoft Office 2007 suites (KB2596620) 32-Bit Edition', 'Security Update for Microsoft Office 2007 suites (KB2596785) 32-Bit Edition', 'Security Update for Microsoft Office PowerPoint 2007 (KB2596764) 32-Bit Edition', 'Security Update for Microsoft Office 2007 suites (KB2596754) 32-Bit Edition ', 'Update for 2007 Microsoft Office System (KB967642)', 'Security Update for Microsoft Office 2007 suites (KB2596615) 32-Bit Edition ', 'Security Update for Microsoft Office 2007 suites (KB2760416) 32-Bit Edition ', 'Security Update for Microsoft Office 2007 suites (KB2596744) 32-Bit Edition ', 'Security Update for Microsoft Office 2007 suites (KB2596792) 32-Bit Edition', 'Update for Microsoft Office 2007 suites (KB2767916) 32-Bit Edition', 'Security Update for Microsoft Office 2007 suites (KB2687441) 32-Bit Edition ', 'Microsoft Office Access MUI (Spanish) 2007', 'Microsoft Office 2007 Service Pack 3 (SP3)', 'Microsoft Office Excel MUI (Spanish) 2007', 'Microsoft Office 2007 Service Pack 3 (SP3)', 'Microsoft Office SharePoint Designer 2007', 'Security Update for Microsoft Office 2007 suites (KB2687499) 32-Bit Edition ', 'Security Update for Microsoft Office 2007 suites (KB2596871) 32-Bit Edition', 'Microsoft Office SharePoint Designer 2007 Service Pack 3 (SP3)', 'Security Update for Microsoft Office 2007 suites (KB2596672) 32-Bit Edition ', 'Update for Microsoft Office 2007 suites (KB2596660) 32-Bit Edition', 'Update for Microsoft Office 2007 suites (KB2596848) 32-Bit Edition', 'Update for Microsoft Office 2007 suites (KB2596620) 32-Bit Edition', 'Security Update for Microsoft Office 2007 suites (KB2596785) 32-Bit Edition', 'Security Update for Microsoft Office 2007 suites (KB2596754) 32-Bit Edition ', 'Update for 2007 Microsoft Office System (KB967642)', 'Security Update for Microsoft Office 2007 suites (KB2596615) 32-Bit Edition ', 'Security Update for Microsoft Office 2007 suites (KB2760416) 32-Bit Edition ', 'Security Update for Microsoft Office 2007 suites (KB2596744) 32-Bit Edition ', 'Security Update for Microsoft Office 2007 suites (KB2596792) 32-Bit Edition', 'Update for Microsoft Office 2007 suites (KB2767916) 32-Bit Edition', 'Security Update for Microsoft Office 2007 suites (KB2687441) 32-Bit Edition ', 'Microsoft Office SharePoint Designer MUI (Spanish) 2007', 'Microsoft Office SharePoint Designer 2007 Service Pack 3 (SP3)', 'Microsoft Office PowerPoint MUI (Spanish) 2007', 'Microsoft Office 2007 Service Pack 3 (SP3)', 'Microsoft Office Publisher MUI (Spanish) 2007', 'Microsoft Office 2007 Service Pack 3 (SP3)', 'Microsoft Office Outlook MUI (Spanish) 2007', 'Microsoft Office 2007 Service Pack 3 (SP3)', 'Update for Microsoft Office Outlook 2007 (KB2687404) 32-Bit Edition', 'Microsoft Office Word MUI (Spanish) 2007', 'Microsoft Office 2007 Service Pack 3 (SP3)', 'Microsoft Office Proof (Catalan) 2007', 'Microsoft Office Proofing Tools 2007 Service Pack 3 (SP3)', 'Microsoft Office Proof (English) 2007', 'Microsoft Office Proofing Tools 2007 Service Pack 3 (SP3)', 'Microsoft Office Proof (French) 2007', 'Microsoft Office Proofing Tools 2007 Service Pack 3 (SP3)', 'Microsoft Office Proof (Portuguese (Brazil)) 2007', 'Microsoft Office Proofing Tools 2007 Service Pack 3 (SP3)', 'Microsoft Office Proof (Basque) 2007', 'Microsoft Office Proofing Tools 2007 Service Pack 3 (SP3)', 'Microsoft Office Proof (Galician) 2007', 'Microsoft Office Proofing Tools 2007 Service Pack 3 (SP3)', 'Microsoft Office Proof (Spanish) 2007', 'Microsoft Office Proofing Tools 2007 Service Pack 3 (SP3)', 'Microsoft Office Proofing (Spanish) 2007', 'Microsoft Office InfoPath MUI (Spanish) 2007', 'Microsoft Office 2007 Service Pack 3 (SP3)', 'Microsoft Office Shared MUI (Spanish) 2007', 'Microsoft Office 2007 Service Pack 3 (SP3)', 'Microsoft Office File Validation Add-In', 'RHEV-Serial 3.2.6', 'Microsoft .NET Framework 4 Client Profile ESN Language Pack', 'IZArc 3.81', 'Microsoft Visual C++ 2008 Redistributable - x86 9.0.30729.17', 'RHEV-Agent64 3.4.4', 'RHEV-Balloon64 3.4.2', 'Microsoft .NET Framework 3.0 Service Pack 2', 'Aperio ImageScope', 'PKSIMS', u'Adobe Reader XI (11.0.06) - Espa\xf1ol', 'FISIOGEN Basic Electrophysiology', 'Microsoft .NET Framework 4 Extended ESN Language Pack', 'PCcal95', 'Fisiologia RENAL', 'RHEV-Spice-Agent64 3.4.2', 'Microsoft .NET Framework 2.0 Service Pack 2', 'Concapp', 'RHEV-Spice-Agent 3.2.6', 'RHEV-Spice 3.2.3', 'Microsoft .NET Framework 3.5 SP1', 'RHEV-Network 3.2.4', 'RHEV-Serial64 3.4.2', 'Wander', 'RHEV-Network64 3.4.2', 'Epi Info', 'Microsoft Visual C++ 2010  x86 Redistributable - 10.0.40219', 'RHEV-SCSI64 3.4.2', 'RHEV-Block 3.2.6']

Comment 13 Pavel Novotny 2014-09-15 16:24:32 UTC
Verified in rhevm-3.5.0-0.11.beta.el6ev.noarch (vt3) on Windows XP SP3 guest with guest tools installed from ISO RHEV-toolsSetup_3.5_2.iso.

Verification steps:
1) Have a clean Windows XP SP3 installation.
2) Install all RHEV Tools 3.5.2 from CD ISO.
3) Install Windows updates - important updates only, like security updates and hotfixes.

Result: 
The application list reported by VDSM (and also in UI and REST API) doesn't contain the hotfix and security system updates:

'appsList': [
u'Windows Genuine Advantage Validation Tool (KB892130)',
u'Microsoft .NET Framework 3.5 SP1',
u'Microsoft Kernel-Mode Driver Framework Feature Pack 1.9',
u'Windows Genuine Advantage Validation Tool (KB892130)',
u'RHEV-Tools 3.5.2',
u'RHEV-Spice 3.5.1',
u'RHEV-Balloon 3.5.1',
u'WebFldrs XP',
u'RHEV-Serial 3.5.1',
u'RHEV-Block 3.5.1',
u'RHEV-Spice-Agent 3.5.2',
u'RHEV-Network 3.5.1',
u'QEMU guest agent',
u'Microsoft .NET Framework 3.0 Service Pack 2',
u'RHEV-Agent 3.5.2',
u'Microsoft .NET Framework 2.0 Service Pack 2',
u'Microsoft .NET Framework 3.5 SP1',
u'RHEV-SSO 3.5.1',
u'RHEV-USB 3.5.1']

Comment 14 Omer Frenkel 2015-02-17 08:27:00 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.